be.ehealth.businessconnector.wsconsent.session.impl

## Class WsConsentServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.wsconsent.session.impl.WsConsentServiceImpl

- All Implemented Interfaces:
    WsConsentService

      public class WsConsentServiceImpl
      extends Object
      implements WsConsentService

  Implementation for `WsConsentService`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsConsentServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetPatientConsentResponse` | `getPatientConsent(GetPatientConsentRequest request)` Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
    `GetPatientConsentStatusResponse` | `getPatientConsentStatus(GetPatientConsentStatusRequest request)` Method which perform the call to the webSevice which allows an end-user to check the status of an informed patient consent
    `PutPatientConsentResponse` | `putPatientConsent(PutPatientConsentRequest request)` Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent.
    `RevokePatientConsentResponse` | `revokePatientConsent(RevokePatientConsentRequest request)` Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsConsentServiceImpl

          public WsConsentServiceImpl()

  - ### Method Detail

    - #### putPatientConsent

          public PutPatientConsentResponse putPatientConsent(PutPatientConsentRequest request)
                                                      throws WsConsentBusinessConnectorException,
                                                             TechnicalConnectorException,
                                                             SessionManagementException

      Description copied from interface: `WsConsentService`
      Method which perform the call to the webSevice which allows an end-user to declare an informed patient consent. Once the consent is declared, it is considered as ‘active’ consent.
      Specified by:
        `putPatientConsent` in interface `WsConsentService`
      Returns:
      Throws:
        `WsConsentBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`
      See Also:
        `WsConsentService.putPatientConsent(be.fgov.ehealth.hubservices.core.v2.PutPatientConsentRequest)`

    - #### getPatientConsent

          public GetPatientConsentResponse getPatientConsent(GetPatientConsentRequest request)
                                                      throws WsConsentBusinessConnectorException,
                                                             TechnicalConnectorException,
                                                             SessionManagementException

      Description copied from interface: `WsConsentService`
      Method which perform the call to the webSevice which allows an end-user to check the existence of an informed patient consent (and to get the information about this consent – ‘active’ or ‘inactive’).
      Specified by:
        `getPatientConsent` in interface `WsConsentService`
      Returns:
      Throws:
        `WsConsentBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`
      See Also:
        `WsConsentService.getPatientConsent(be.fgov.ehealth.hubservices.core.v2.GetPatientConsentRequest)`

    - #### getPatientConsentStatus

          public GetPatientConsentStatusResponse getPatientConsentStatus(GetPatientConsentStatusRequest request)
                                                                  throws WsConsentBusinessConnectorException,
                                                                         TechnicalConnectorException,
                                                                         SessionManagementException

      Description copied from interface: `WsConsentService`
      Method which perform the call to the webSevice which allows an end-user to check the status of an informed patient consent
      Specified by:
        `getPatientConsentStatus` in interface `WsConsentService`
      Returns:
      Throws:
        `WsConsentBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`
      See Also:
        `WsConsentService.getPatientConsentStatus(be.fgov.ehealth.hubservices.core.v2.GetPatientConsentStatusRequest)`

    - #### revokePatientConsent

          public RevokePatientConsentResponse revokePatientConsent(RevokePatientConsentRequest request)
                                                            throws WsConsentBusinessConnectorException,
                                                                   TechnicalConnectorException,
                                                                   SessionManagementException

      Description copied from interface: `WsConsentService`
      Method which perform the call to the webSevice which allows an end-user to declare the revocation of an informed patient consent. Once the consent is revoked, it is considered as ‘inactive’ consent.
      Specified by:
        `revokePatientConsent` in interface `WsConsentService`
      Returns:
      Throws:
        `WsConsentBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`
      See Also:
        `WsConsentService.revokePatientConsent(be.fgov.ehealth.hubservices.core.v2.RevokePatientConsentRequest)`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.